Doesn't work on Mojave 10.14.1, worked on High Sierra previously

Questions about Wine on macOS.
Post Reply
lucytao01
Newbie
Newbie
Posts: 2
Joined: Sun Oct 06, 2019 6:47 am

Doesn't work on Mojave 10.14.1, worked on High Sierra previously

Post by lucytao01 » Tue Dec 17, 2019 9:31 pm

Some Information:

XQuartz 2.7.11
Official wine-5.0-rc1 (Staging)
Mac OSX Mojave 10.14.1
Mac Gatekeper to allow apps from anywhere to be installed

-----

I'm running Mojave 10.14.1, and I just installed Wine again but as soon as I launched it it said that this app isn't optimized for my mac. I then tried to launch an exe file and got an error. The error log is provided below.

A couple months back I tried using Wine, but among all 10+ programs I tried none worked, with all crashing before even starting up. I don't know why there is no mention of this anywhere on the forum. On my other laptop with high sierra it did work, though it broke down due to liquid damage.

https://pastebin.com/C4Xg6dn4

Is there anything I can do to get this working?

Gcenx
Level 5
Level 5
Posts: 372
Joined: Mon Dec 25, 2017 12:11 pm

Re: Doesn't work on Mojave 10.14.1, worked on High Sierra previously

Post by Gcenx » Wed Dec 18, 2019 1:01 pm

I’ve posted this on reddit already but just Incase anyone else sees this.

Wine-5.0-rc1 and by extensions Wine-Staging-5.0-rc1 Winehq packages are broken, downgrade and use Wine-4.21/Wine-Staging-4.21 for the moment or compile from source.

Post Reply